KDE 4.9 PyKDE API Reference

- KDE's Python API

# Entry Class Reference

`from PyKDE4.knewstuff import *`

Namespace: KNS3

## Detailed Description

KNewStuff information about changed entries

This class provides information about the entries that have been installed while the new stuff dialog was shown. It is a minimal version that only gives applications what they need to know.

Since:
  4.4

## Enumerations

Status | { Invalid, Downloadable, Installed, Updateable, Deleted, Installing, Updating }

## Methods

| __init__ (self, KNS3.Entry other)
| __init__ (self)
QString | category (self)
QString | id (self)
QStringList | installedFiles (self)
QString | license (self)
QString | name (self)
QString | providerId (self)
KNS3.Entry.Status | status (self)
QString | summary (self)
QStringList | uninstalledFiles (self)
QString | version (self)

## Method Documentation

__init__ | ( | self, |
|  | KNS3.Entry | other
| ) |  |  |

__init__ | ( |  | self ) |

QString category | ( |  | self ) |

Retrieve the category of the data object.

Returns:
  object category

QString id | ( |  | self ) |

Id of this Entry. It is guaranteed to be unique for one provider. Id and ProviderId together identifiy this entry.

Returns:
  the id

Since:
  4.5

QStringList installedFiles | ( |  | self ) |

Retrieve the locally installed files.

Returns:
  file names

QString license | ( |  | self ) |

Retrieve the license name of the object.

Returns:
  object license

QString name | ( |  | self ) |

Retrieve the name of the data object.

Returns:
  object name

QString providerId | ( |  | self ) |

The Provider which is the source of the Entry.

Returns:
  the Id of the Provider

Since:
  4.5

KNS3.Entry.Status status | ( |  | self ) |

Retrieves the entry's status.

Returns:
  Current status of the entry

QString summary | ( |  | self ) |

Retrieve a short description about the object.

Returns:
  object description

QStringList uninstalledFiles | ( |  | self ) |

Retrieve the locally uninstalled files.

Returns:
  file names

QString version | ( |  | self ) |

Retrieve the version string of the object.

Returns:
  object version

## Enumeration Documentation

Status

Status of the entry. An entry will be downloadable from the provider's site prior to the download. Once downloaded and installed, it will be either installed or updateable, implying an out-of-date installation. Finally, the entry can be deleted and hence show up as downloadable again. Entries not taking part in this cycle, for example those in upload, have an invalid status.

Enumerator:

  Invalid |
  Downloadable |
  Installed |
  Updateable |
  Deleted |
  Installing |
  Updating |